# $Revision: 1.45 $, $Date: 2012/02/07 22:01:45 $
Summary:	gnofract4d - GNOME-based program to draw fractals
Summary(pl.UTF-8):	gnofract4d - program do rysowania fraktali pod GNOME
Name:		gnofract4d
Version:	3.11
Release:	7
License:	BSD
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/gnofract4d/%{name}-%{version}.tar.gz
# Source0-md5:	c038702003c47fe58b7db1023302b855
URL:		http://gnofract4d.sourceforge.net/
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-libpng.patch
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
Requires:	python-pygtk-gtk >= 1:2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnofract 4D is a GNOME-based program to draw fractals. What sets it
apart from other fractal programs (and makes it "4D") is the way that
it treats the Mandelbrot and Julia sets as different views of the same
four-dimensional fractal object.

%description -l pl.UTF-8
Gnofract 4D jest program do rysowania fraktali pod GNOME. To, co
odróżnia ten go od innych programów do fraktali (i czyni go "4D"), to
sposób, w jaki traktuje zbiory Mandelbrota i Julia - jako różne widoki
tego samego, czterowymiarowego obiektu fraktalnego.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
sed -i -e "s#/usr/lib/%{name}-%{version}#%{_libdir}/%{name}-%{version}#g" \
	setup.cfg gnofract4d

CFLAGS="%{rpmcflags}" \
	python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database

%postun
%update_desktop_database_post
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_bindir}/*
%{py_sitedir}/*fract*
%{_datadir}/%{name}
%{_datadir}/mime/packages/*
%{_pixmapsdir}/gnofract4d
%{_pixmapsdir}/gnofract4d-logo.png
%{_desktopdir}/gnofract4d.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnofract4d.spec,v $
Revision 1.45  2012/02/07 22:01:45  arekm
- release 7

Revision 1.44  2011/12/20 19:42:22  arekm
- release 6

Revision 1.43  2010/09/21 19:00:05  glen
- release 5

Revision 1.42  2010/07/08 07:50:37  arekm
- release 4

Revision 1.41  2010/02/16 15:20:54  ankry
- fixed build with new libpng, rel. 3

Revision 1.40  2010/02/09 00:34:46  sparky
- BR: python-modules, rpm-pythonprov
- dropped BR: gtk+2-devel

Revision 1.39  2010/02/06 21:03:21  arekm
- release 2

Revision 1.38  2009/07/12 12:26:19  gotar
- upgraded to 3.11

Revision 1.37  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.35  2006/04/30 07:52:53  adamg
- include gnofract4d-logo.png

Revision 1.34  2006/04/30 07:48:57  adamg
- updated to 2.13

Revision 1.33  2005/03/28 16:03:30  adamg
- updated to 2.7

Revision 1.32  2004/12/24 11:34:17  adamg
- updated to 2.5

Revision 1.31  2004/12/16 20:45:28  darekr
- BR sed 4.0

Revision 1.30  2004/12/16 11:25:08  adamg
- updated to 2.4

Revision 1.29  2004/11/30 08:35:57  paladine
- updated to 2.3
- removed Source0-size
- added gtk+2-devel epoch in BR
- removed useless Categories adding (already in desktop patch)

Revision 1.28  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.27  2004/11/14 21:46:58  havner
- rel up for rebuild with python-pygtk

Revision 1.26  2004/10/17 14:47:30  undefine
- up to 2.2, libdir fixes

Revision 1.25  2004/07/17 01:00:38  ankry
- added -desktop patch, rel. 2

Revision 1.24  2004/06/27 16:07:40  qboosh
- updated to 2.0 (rewrite for gtk+2 on BSD license), removed outdated patches

Revision 1.23  2003/08/26 20:31:19  ankry
- s/[Gg]nome/GNOME/

Revision 1.22  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.21  2003/05/25 05:48:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/08 21:09:23  qboosh
- completed pl description

Revision 1.19  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.18  2003/01/18 22:50:05  juandon
- removed two lines with define

Revision 1.17  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.16  2002/08/07 21:17:58  kloczek
- do not hardcode optimization flags in CXXFLAGS (added AM_CXXFLAGS patch),
- "rm -f missing" on top %build.

Revision 1.15  2002/08/07 18:09:10  kloczek
- reenable DESTDIR patch,
- use new %doc,
- add "-f %%{name}.lang" to %files parameters.

Revision 1.14  2002/08/07 14:34:31  marcus
- new version 1.6
- %%install need fixing

Revision 1.13  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.12  2002/05/21 23:13:14  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/25 16:25:52  arturs
fixed a small typo

Revision 1.10  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:13:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/03/12 20:45:15  kloczek
- updated to 1.5.

Revision 1.6  2001/03/03 14:04:02  kloczek
- release 4: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.5  2001/03/01 06:34:09  kloczek
- regenerate all am/ac files.

Revision 1.4  2001/03/01 06:03:08  kloczek
- relese 3: rebuild against gnome-libs linked with new audiofile.

Revision 1.3  2000/12/19 08:51:18  kloczek
- release 2: added two missing entries in %files.

Revision 1.2  2000/12/19 04:41:57  kloczek
- adapterized and changed Group to X11/Applications/Graphics.

Revision 1.1  2000/12/19 04:40:45  kloczek
- written from scrach.
